Name:           nodejs-is-object
Version:        1.0.1
Release:        2%{?dist}
Summary:        Checks whether a value is an object

License:        MIT
URL:            https://github.com/ljharb/is-object
Source0:        http://registry.npmjs.org/is-object/-/is-object-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tape)

%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/is-object
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/is-object
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} test/index.js


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/is-object


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 20 2015 Tom Hughes <tom@compton.nu> - 1.0.1-1
- Initial build of 1.0.1
